[Numpy-discussion] SVN + Python 2.5.4 (32b) + MacOS 10.6.1

Pierre GM pgmdevlist@gmail....
Wed Oct 7 06:38:54 CDT 2009


All,
I need to test the numpy SVN on a 10.6.1 mac, but using Python 2.5.4  
(32b) instead of the 2.6.1 (64b).

The sources get compiled OK (apparently, find the build here: http://pastebin.com/m147a2909 
) but numpy fails to import:
   File ".../.virtualenvs/default25/lib/python2.5/site-packages/numpy/ 
__init__.py", line 130, in <module>
     import add_newdocs
   File ".../.virtualenvs/default25/lib/python2.5/site-packages/numpy/ 
add_newdocs.py", line 9, in <module>
     from lib import add_newdoc
   File ".../.virtualenvs/default25/lib/python2.5/site-packages/numpy/ 
lib/__init__.py", line 4, in <module>
     from type_check import *
   File ".../.virtualenvs/default25/lib/python2.5/site-packages/numpy/ 
lib/type_check.py", line 8, in <module>
     import numpy.core.numeric as _nx
   File ".../.virtualenvs/default25/lib/python2.5/site-packages/numpy/ 
core/__init__.py", line 8, in <module>
     import numerictypes as nt
   File ".../.virtualenvs/default25/lib/python2.5/site-packages/numpy/ 
core/numerictypes.py", line 737, in <module>
     _typestr[key] = empty((1,),key).dtype.str[1:]
ValueError: array is too big.

Obviously, I'm messing between 32b and 64b, but can't figure where.  
Any help/hint will be deeply appreciated
Cheers
P.

FYI:
Python 2.5.4 (r254:67916, Jul  7 2009, 23:51:24)
[GCC 4.2.1 (Apple Inc. build 5646)] on darwin]
CFLAGS="-arch i386 -arch x86_64"
FFLAGS="-arch i386 -arch x86_64"




More information about the NumPy-Discussion mailing list